log4cplus::spi::FunctionFilter Class Reference

This filter allows using std::function<FilterResult(const InternalLoggingEvent &)>. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::FunctionFilter:
[legend]
Collaboration diagram for log4cplus::spi::FunctionFilter:
[legend]

## Public Types

typedef std::function< FilterResult(const InternalLoggingEvent &)> | Function

## Public Member Functions

| FunctionFilter (Function)
virtual FilterResult | decide (const InternalLoggingEvent &) const
| Returns result returned by function.
Public Member Functions inherited from log4cplus::spi::Filter
| Filter ()
virtual | ~Filter ()
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Additional Inherited Members

Public Attributes inherited from log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.
Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Detailed Description

This filter allows using std::function<FilterResult(const InternalLoggingEvent &)>.

Definition at line 288 of file filter.h.

## Member Typedef Documentation

## Function

typedef std::function<FilterResult (const InternalLoggingEvent &)> log4cplus::spi::FunctionFilter::Function

Definition at line 293 of file filter.h.

## Constructor & Destructor Documentation

## FunctionFilter()

log4cplus::spi::FunctionFilter::FunctionFilter | ( | Function |  | ) |

## Member Function Documentation

## decide()

virtual FilterResult log4cplus::spi::FunctionFilter::decide | ( | const InternalLoggingEvent & |  | ) | const

virtual

Returns result returned by function.

Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h